XFcMultipleDataPacket class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcMultipleDataPacket Class Reference

XFcMultipleDataPacket collects one or more data frames to on sendable packet. More...

Inheritance diagram for XFcMultipleDataPacket:

[legend]
Collaboration diagram for XFcMultipleDataPacket:

[legend]
List of all members.

## Public Member Functions

virtual INT32 | createPacket (XFcObjectDataQueue *aQueue, INT32 aSeqNum, XFcObjectDataPacket *aOdata)
| Creates a packet.
virtual INT32 | getPacketStatus ()
| Gets packet status.
virtual | ~XFcMultipleDataPacket ()
| Virtual destructor.

## Static Public Member Functions

XFcMultipleDataPacket * | create ()
| Static constructor.

## Protected Member Functions

| XFcMultipleDataPacket ()
| Protected constructor.

## Detailed Description

XFcMultipleDataPacket collects one or more data frames to on sendable packet.

It creates sendable data frame from object data queue. It try to add as meny packet frames to object data packet as it can.

## Constructor & Destructor Documentation

XFcMultipleDataPacket::XFcMultipleDataPacket | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFcMultipleDataPacket::~XFcMultipleDataPacket | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

XFcMultipleDataPacket* XFcMultipleDataPacket::create | ( |  | ) | `[static]`

| Static constructor.

virtual INT32 XFcMultipleDataPacket::createPacket | ( | XFcObjectDataQueue * | aQueue,
|  | INT32 | aSeqNum,
|  | XFcObjectDataPacket * | aOdata
| ) | `[virtual]`

Creates a packet.

Parameters:

  aQueue | packet queue.
  aSeqNum | sequence number.
  aOdata | data packet.

Returns:
  1 if successful, or 0 otherwise.

Implements XFcPacketCreator.

virtual INT32 XFcMultipleDataPacket::getPacketStatus | ( |  | ) | `[virtual]`

Gets packet status.

Returns:
  packet status.

Implements XFcPacketCreator.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch